curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/benefits/transactions \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"benefit_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"earning_rule_id": "<string>",
"type": "FULFILLMENT",
"details": {
"reason": "<string>",
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"metadata": {},
"result": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}List member benefit transactions
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Lists benefit transactions (benefit fulfillments) for the given program member, with cursor-based pagination. Supports filtering by benefit id and creation date.
curl --request GET \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/members/{memberId}/benefits/transactions \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"benefit_id": "<string>",
"program_id": "<string>",
"member_id": "<string>",
"earning_rule_id": "<string>",
"type": "FULFILLMENT",
"details": {
"reason": "<string>",
"rejection": {
"reason": "<string>",
"details": "<string>"
},
"metadata": {},
"result": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).
Program member ID (format lmbr_[a-f0-9]+).
^lmbr_[a-f0-9]+$Query Parameters
Maximum number of items to return. An integer between 1 and 100; numeric strings are also accepted. Defaults to 10.
1 <= x <= 100Sort order. A field name, optionally prefixed with - for descending order. May be provided multiple times (array). The same field cannot be used in both ascending and descending order at once. Default: -created_at.
-created_at, created_at Pagination cursor returned in the cursor.next field of a previous response (format: lcrsbtx_ followed by hexadecimal characters).
^lcrsbtx_[a-f0-9]+$Field filters, e.g. filters[benefit_id][conditions][$is]=lben_.... Each field accepts a conditions object with condition operators.
Filters for listing benefit transactions.
Show child attributes
Show child attributes
Response
Paginated list of benefit transactions.
Was this page helpful?

